  # ora_user { 'ORACLE_USER@TEST':
  #   ensure   => 'present',
  #   password => 'verysecret',
  #   grants   => ['connect', 'resource'],
  #   quotas   => { "SYSTEM"  => 'unlimited' },
  # }

  # ora_exec {'@/root/b.sql@TEST':
  #   username  => 'ORACLE_USER',
  #   password  => 'verysecret',
  #   unless    => "select * from tab where tname = 'CLEANUP_EXPIRED_CONFIG'",
  #   logoutput => true,
  # }

  ora_record { 'e3s_o_cleanup_expired_config_ADRESSE_AENDERUNG':
    ensure     => 'updated',
    tag        => 'table_records',
    username   => 'ORACLE_USER',
    password   => 'verysecret',
    table_name => upcase('cleanup_expired_config'),
    key_name   => 'TABLE_NAME',
    key_value  => 'ADRESSE_AENDERUNG',
    data       => {
      'REFERENCE_COLUMN'      => 'TIMESTAMP',
      'REFERENCE_COLUMN_UNIT' => 'MILLISECONDS',
      'CLEANUP_METHOD'        => 'DELETE_ROWS',
      'RETENTION_TIME'        => '6',
      'RETENTION_UNIT'        => 'DAY',
      'TRIGGERED_BY'          => 'DATABASE',
    },
  }
